Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class Agent

java.lang.Object
bitel.billing.server.admin.auth.http.HttpLogin
ru.bitel.bgbilling.modules.ticket.server.bean.Agent

    public final class Agent
    extends bitel.billing.server.admin.auth.http.HttpLogin

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.auth.http.HttpLogin

  `id, login, password, publicKey, publicKeyEncoded`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Agent()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getChargeTypeId()` |
  `java.lang.String` | `getComment()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setChargeTypeId​(int chargeTypeId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class bitel.billing.server.admin.auth.http.HttpLogin

  `getId, getLogin, getPassword, getPublicKey, getPublicKeyEncoded, setId, setLogin, setPassword, setPublicKey, setPublicKeyEncoded`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Agent

    public Agent()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getChargeTypeId

    public int getChargeTypeId()

  - ### setChargeTypeId

    public void setChargeTypeId​(int chargeTypeId)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)